!ifdef CXX
cx=..\..\lib\cf$(dz)
cl=lib /nologo /out:$(cx).lib
!ifdef dz
ac=asm -q -coff -Zi -DDEBUG -I..\..\inc /D__DZ__
!else
ac=asm -q -coff -Zi -DDEBUG -I..\..\inc
!endif
!else
cx=..\..\lib\of$(dz)
cl=wlib -q -c $(cx).lib
!ifdef dz
ac=asm -q -I..\..\inc /D__DZ__
!else
ac=asm -q -I..\..\inc
!endif
!endif

!include co.mif

$(cx).lib: $(objs)
 $(cl) @<<
$(objs)
<<
 del *.obj

!include cc.mif

cc.mif:
!ifdef CXX
  list -hobjs=\\ -q -r -y co.mif *.asm " %n.obj \\\n"
  list -q -r -y -xd cc.mif *.asm "%n.obj:\n $$(ac) %f\n"
!else
  list -hobjs=& -q -r -y co.mif *.asm " %n.obj &\n"
  list -q -r -y -xp cc.mif *.asm "%n.obj:\n $$(ac) %f\n"
!endif
